{% load static %}
{% load utils %}
<div id="vue-wrapper-purchase-button-block" class="item-buy-section" data-pk="{{ product.pk }}" ref="form">
    <quantity-editor
        :quantity="quantity"
        @change="onChangeQuantity">
    </quantity-editor>
    <div class="item-price">
        <div class="current-price orange">
            [[ price * quantity ]]
            <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg" alt="рублей">
        </div>
        {% if session.price.has_range_discount %}
            <div class="past-price">
                {{ session.price|adjust_for_taxes|floatformat:0 }}
                <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg" alt="рублей">
            </div>
        {% endif %}
    </div>
    {% if session.availability.is_available_to_buy %}
        <button class="submit t-btn">в корзину</button>
{#        {% include "catalogue/partials/add_to_basket_form_compact.html" with product=product name="add-form" btn_class="t-btn" %}#}
    {% else %}
        {% include "catalogue/partials/preorder.html" %}
    {% endif %}
</div>

{% block extrascripts %}
    <script src="{% static 'js/components/quantity-editor.js' %}"></script>
    <script type="text/javascript">
        new Vue({
            el: '#vue-wrapper-purchase-button-block',
            delimiters: ['[[', ']]'],
            data() {
                return {
                    quantity: 1,
                    price: "{{ session.price|adjust_for_taxes_and_discounts|floatformat:0 }}",
                    productId: null
                }
            },
            mounted() {
                this.productId = this.$refs.form.dataset.pk;
            },
            methods: {
                onChangeQuantity(quantity) {
                    this.quantity = quantity;
                },
                onAddToBasket(quantity) {
                    addProductToBasket(this.productId, this.quantity).then(response => {
                        //TODO: Update the basket
                        _updateBaskets(response);
                    })
                }
            },
        });
    </script>
{% endblock %}